Package com.sun.jna.platform.win32.COM

## Interface ITypeComp

All Superinterfaces:
  `IUnknown`

    public interface ITypeComp
    extends IUnknown

Wrapper class for the ITypeComp interface.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Method Summary

All Methods Instance Methods Abstract Methods
`WinNT.HRESULT` `Bind​(WString szName, WinDef.ULONG lHashVal, WinDef.WORD wFlags, PointerByReference ppTInfo, OaIdl.DESCKIND.ByReference pDescKind, OaIdl.BINDPTR.ByReference pBindPtr)`
`WinNT.HRESULT` `BindType​(WString szName, WinDef.ULONG lHashVal, PointerByReference ppTInfo, PointerByReference ppTComp)`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Method Detail

#### Bind

    WinNT.HRESULT Bind​(WString szName,
                       WinDef.ULONG lHashVal,
                       WinDef.WORD wFlags,
                       PointerByReference ppTInfo,
                       OaIdl.DESCKIND.ByReference pDescKind,
                       OaIdl.BINDPTR.ByReference pBindPtr)

#### BindType

    WinNT.HRESULT BindType​(WString szName,
                           WinDef.ULONG lHashVal,
                           PointerByReference ppTInfo,
                           PointerByReference ppTComp)